/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export interface Item {
    index: number;
    options: any;
}
/**
 * @hidden
 */
export declare class ItemChange {
    sender: Item;
    options: any;
    constructor(sender: Item, options: any);
}
/**
 * @hidden
 */
export declare class CollectionService {
    itemChanges: Observable<ItemChange>;
    private source;
    constructor();
    notify(change: ItemChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CollectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CollectionService>;
}
