/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapComponent } from './map.component';
import { BubbleLayerComponent } from './map/bubble-layer.component';
import { LayersComponent } from './map/layers.component';
import { MarkerLayerComponent } from './map/marker-layer.component';
import { ShapeLayerComponent } from './map/shape-layer.component';
import { TileLayerComponent } from './map/tile-layer.component';
import { BubbleTooltipComponent, BubbleTooltipTemplateDirective, MarkerTooltipComponent, MarkerTooltipTemplateDirective, ShapeTooltipComponent, ShapeTooltipTemplateDirective } from './tooltip';
/**
* Utility array that contains all `Map` related components and directives.
*/
export declare const KENDO_MAP: readonly [typeof BubbleLayerComponent, typeof BubbleTooltipComponent, typeof BubbleTooltipTemplateDirective, typeof LayersComponent, typeof MapComponent, typeof MarkerLayerComponent, typeof MarkerTooltipComponent, typeof MarkerTooltipTemplateDirective, typeof ShapeLayerComponent, typeof ShapeTooltipComponent, typeof ShapeTooltipTemplateDirective, typeof TileLayerComponent];
