/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapComponent } from './map.component';
import { BubbleLayerComponent } from './map/bubble-layer.component';
import { LayersComponent } from './map/layers.component';
import { MarkerLayerComponent } from './map/marker-layer.component';
import { ShapeLayerComponent } from './map/shape-layer.component';
import { TileLayerComponent } from './map/tile-layer.component';
import { BubbleTooltipComponent, BubbleTooltipTemplateDirective, MarkerTooltipComponent, MarkerTooltipTemplateDirective, ShapeTooltipComponent, ShapeTooltipTemplateDirective, } from './tooltip';
/**
* Utility array that contains all `Map` related components and directives.
*/
export const KENDO_MAP = [
    BubbleLayerComponent,
    BubbleTooltipComponent,
    BubbleTooltipTemplateDirective,
    LayersComponent,
    MapComponent,
    MarkerLayerComponent,
    MarkerTooltipComponent,
    MarkerTooltipTemplateDirective,
    ShapeLayerComponent,
    ShapeTooltipComponent,
    ShapeTooltipTemplateDirective,
    TileLayerComponent
];
