/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BeforeResetEvent, MapClickEvent, MarkerActivateEvent, MarkerClickEvent, MarkerCreatedEvent, PanEndEvent, PanEvent, ResetEvent, ShapeClickEvent, ShapeCreatedEvent, ShapeFeatureCreatedEvent, ShapeMouseEnterEvent, ShapeMouseLeaveEvent, ZoomEndEvent, ZoomStartEvent } from '../events';
const EVENT_MAP = {
    beforeReset: BeforeResetEvent,
    click: MapClickEvent,
    markerActivate: MarkerActivateEvent,
    markerClick: MarkerClickEvent,
    markerCreated: MarkerCreatedEvent,
    panEnd: PanEndEvent,
    pan: PanEvent,
    reset: ResetEvent,
    shapeClick: ShapeClickEvent,
    shapeCreated: ShapeCreatedEvent,
    shapeFeatureCreated: ShapeFeatureCreatedEvent,
    shapeMouseEnter: ShapeMouseEnterEvent,
    shapeMouseLeave: ShapeMouseLeaveEvent,
    zoomEnd: ZoomEndEvent,
    zoomStart: ZoomStartEvent
};
/**
 * @hidden
 */
export class InstanceEventService {
    create(name, args, sender) {
        if (EVENT_MAP[name]) {
            return new EVENT_MAP[name](args, sender);
        }
    }
}
