/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Fired when the user clicks on the map.
 */
export class MapClickEvent extends BaseEvent {
    /**
     * The location of the clicked point.
     */
    location;
    /**
     * The source DOM event instance
     */
    originalEvent;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.location = e.location;
        this.originalEvent = e.originalEvent;
    }
}
