/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Fired when a marker has been displayed and has a DOM element assigned.
 */
export class MarkerActivateEvent extends BaseEvent {
    /**
     * The marker instance.
     */
    marker;
    /**
     * The marker layer instance.
     */
    layer;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.marker = e.marker;
        this.layer = e.layer;
    }
}
