/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Fired when a marker has been created and is about to be displayed.
 *
 * Cancelling the event will prevent the marker from being shown.
 */
export class MarkerCreatedEvent extends PreventableEvent {
    /**
     * The marker instance.
     */
    marker;
    /**
     * The marker layer instance.
     */
    layer;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.marker = e.marker;
        this.layer = e.layer;
    }
}
