/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Fires after the map viewport has been moved.
 */
export class PanEndEvent extends BaseEvent {
    /**
     * The map origin (top left or NW corner).
     */
    origin;
    /**
     * The current map center.
     */
    center;
    /**
     * The source DOM event instance
     */
    originalEvent;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.origin = e.origin;
        this.center = e.center;
        this.originalEvent = e.originalEvent;
    }
}
