/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Fired when a shape is clicked or tapped.
 */
export class ShapeClickEvent extends BaseEvent {
    /**
     * The shape layer instance.
     */
    layer;
    /**
     * The shape instance.
     */
    shape;
    /**
     * The source DOM event instance
     */
    originalEvent;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.layer = e.layer;
        this.shape = e.shape;
        this.originalEvent = e.originalEvent;
    }
}
