/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Fired when a shape is created, but is not rendered yet.
 */
export class ShapeCreatedEvent extends BaseEvent {
    /**
     * The shape layer instance.
     */
    layer;
    /**
     * The shape instance.
     */
    shape;
    /**
     * The original data item for this Shape.
     */
    dataItem;
    /**
     * The shape location
     */
    location;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.layer = e.layer;
        this.shape = e.shape;
        this.dataItem = e.shape.dataItem;
        this.location = e.shape.location;
    }
}
