/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { KENDO_MAP } from './directives';
import { IconsService } from '@progress/kendo-angular-icons';
import { ResizeBatchService } from '@progress/kendo-angular-common';
import * as i0 from "@angular/core";
import * as i1 from "./map/bubble-layer.component";
import * as i2 from "./tooltip/bubble-tooltip.component";
import * as i3 from "./tooltip/bubble-tooltip-template.directive";
import * as i4 from "./map/layers.component";
import * as i5 from "./map.component";
import * as i6 from "./map/marker-layer.component";
import * as i7 from "./tooltip/marker-tooltip.component";
import * as i8 from "./tooltip/marker-tooltip-template.directive";
import * as i9 from "./map/shape-layer.component";
import * as i10 from "./tooltip/shape-tooltip.component";
import * as i11 from "./tooltip/shape-tooltip-template.directive";
import * as i12 from "./map/tile-layer.component";
//IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
* definition for the Map component.
* @example
*
* ```ts
* import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
* import { BrowserModule } from '@angular/platform-browser';
* import { NgModule } from '@angular/core';
* import { MapModule } from '@progress/kendo-angular-map';
* import { AppComponent } from './app.component';
*
* @NgModule({
*     declarations: [AppComponent],
*     imports:      [BrowserModule, BrowserAnimationsModule, MapModule],
*     bootstrap:    [AppComponent]
* })
* export class AppModule {}
*```
*/
export class MapModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MapModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: MapModule, imports: [i1.BubbleLayerComponent, i2.BubbleTooltipComponent, i3.BubbleTooltipTemplateDirective, i4.LayersComponent, i5.MapComponent, i6.MarkerLayerComponent, i7.MarkerTooltipComponent, i8.MarkerTooltipTemplateDirective, i9.ShapeLayerComponent, i10.ShapeTooltipComponent, i11.ShapeTooltipTemplateDirective, i12.TileLayerComponent], exports: [i1.BubbleLayerComponent, i2.BubbleTooltipComponent, i3.BubbleTooltipTemplateDirective, i4.LayersComponent, i5.MapComponent, i6.MarkerLayerComponent, i7.MarkerTooltipComponent, i8.MarkerTooltipTemplateDirective, i9.ShapeLayerComponent, i10.ShapeTooltipComponent, i11.ShapeTooltipTemplateDirective, i12.TileLayerComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MapModule, providers: [IconsService, ResizeBatchService], imports: [i5.MapComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MapModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_MAP],
                    exports: [...KENDO_MAP],
                    providers: [IconsService, ResizeBatchService]
                }]
        }] });
