/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Optional, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * A directive that sets a [template](link:site.data.urls.angular['templatesyntax'])
 * within the `<kendo-map-tooltip>` component for the Map
 * [Marker layer tooltip](slug:marker_layers_map#toc-tooltips).
 *
 * The available inputs for the marker tooltip template are:
 *    * `title: string`&mdash;The marker title.
 *    * `layerIndex: number`&mdash;The index of the layer for the tooltip.
 *    * `location: Location`&mdash;The marker location.
 */
export class MarkerTooltipTemplateDirective {
    templateRef;
    constructor(templateRef) {
        this.templateRef = templateRef;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MarkerTooltipTemplateDirective, deps: [{ token: i0.TemplateRef, optional: true }], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: MarkerTooltipTemplateDirective, isStandalone: true, selector: "[kendoMapMarkerTooltipTemplate]", ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: MarkerTooltipTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[kendoMapMarkerTooltipTemplate]',
                    standalone: true
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef, decorators: [{
                    type: Optional
                }] }]; } });
