/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Location, MapClickEvent as BaseMapClickEvent } from '@progress/kendo-charts';
import { MapComponent } from '../map.component';
import { BaseEvent } from './base-event';
/**
 * Fired when the user clicks on the map.
 */
export declare class MapClickEvent extends BaseEvent implements BaseMapClickEvent {
    /**
     * The location of the clicked point.
     */
    location: Location;
    /**
     * The source DOM event instance
     */
    originalEvent: any;
    /**
     * @hidden
     */
    constructor(e: BaseMapClickEvent, sender: MapComponent);
}
