/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapLayer, MapMarker, MapMarkerActivateEvent } from '@progress/kendo-charts';
import { MapComponent } from '../map.component';
import { BaseEvent } from './base-event';
/**
 * Fired when a marker has been displayed and has a DOM element assigned.
 */
export declare class MarkerActivateEvent extends BaseEvent implements MapMarkerActivateEvent {
    /**
     * The marker instance.
     */
    marker: MapMarker;
    /**
     * The marker layer instance.
     */
    layer: MapLayer;
    /**
     * @hidden
     */
    constructor(e: MapMarkerActivateEvent, sender: MapComponent);
}
