/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapLayer, MapMarker, MapMarkerClickEvent } from '@progress/kendo-charts';
import { MapComponent } from '../map.component';
import { BaseEvent } from './base-event';
/**
 * Fired when a marker has been clicked or tapped.
 */
export declare class MarkerClickEvent extends BaseEvent implements MapMarkerClickEvent {
    /**
     * The marker instance.
     */
    marker: MapMarker;
    /**
     * The marker layer instance.
     */
    layer: MapLayer;
    /**
     * @hidden
     */
    constructor(e: MapMarkerClickEvent, sender: MapComponent);
}
