/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapLayer, MapMarker, MapMarkerCreatedEvent } from '@progress/kendo-charts';
import { MapComponent } from '../map.component';
import { PreventableEvent } from './preventable-event';
/**
 * Fired when a marker has been created and is about to be displayed.
 *
 * Cancelling the event will prevent the marker from being shown.
 */
export declare class MarkerCreatedEvent extends PreventableEvent implements MapMarkerCreatedEvent {
    /**
     * The marker instance.
     */
    marker: MapMarker;
    /**
     * The marker layer instance.
     */
    layer: MapLayer;
    /**
     * @hidden
     */
    constructor(e: MapMarkerCreatedEvent, sender: MapComponent);
}
