/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Location, MapPanEndEvent } from '@progress/kendo-charts';
import { MapComponent } from '../map.component';
import { BaseEvent } from './base-event';
/**
 * Fires after the map viewport has been moved.
 */
export declare class PanEndEvent extends BaseEvent implements MapPanEndEvent {
    /**
     * The map origin (top left or NW corner).
     */
    origin: Location;
    /**
     * The current map center.
     */
    center: Location;
    /**
     * The source DOM event instance
     */
    originalEvent: any;
    /**
     * @hidden
     */
    constructor(e: MapPanEndEvent, sender: MapComponent);
}
