/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapLayer, MapShapeClickEvent } from '@progress/kendo-charts';
import { Element } from '@progress/kendo-drawing';
import { MapComponent } from '../map.component';
import { BaseEvent } from './base-event';
/**
 * Fired when a shape is clicked or tapped.
 */
export declare class ShapeClickEvent extends BaseEvent implements MapShapeClickEvent {
    /**
     * The shape layer instance.
     */
    layer: MapLayer;
    /**
     * The shape instance.
     */
    shape: Element;
    /**
     * The source DOM event instance
     */
    originalEvent: any;
    /**
     * @hidden
     */
    constructor(e: MapShapeClickEvent, sender: MapComponent);
}
