/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapLayer, MapShapeCreatedEvent, Location } from '@progress/kendo-charts';
import { Element } from '@progress/kendo-drawing';
import { MapComponent } from '../map.component';
import { BaseEvent } from './base-event';
/**
 * Fired when a shape is created, but is not rendered yet.
 */
export declare class ShapeCreatedEvent extends BaseEvent implements MapShapeCreatedEvent {
    /**
     * The shape layer instance.
     */
    layer: MapLayer;
    /**
     * The shape instance.
     */
    shape: Element;
    /**
     * The original data item for this Shape.
     */
    dataItem: any;
    /**
     * The shape location
     */
    location: Location;
    /**
     * @hidden
     */
    constructor(e: any, sender: MapComponent);
}
