/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { MapZoomStartEvent } from '@progress/kendo-charts';
import { MapComponent } from '../map.component';
import { PreventableEvent } from './preventable-event';
/**
 * Fired when the map zoom level is about to change.
 *
 * Cancelling the event will prevent the user action.
 */
export declare class ZoomStartEvent extends PreventableEvent implements MapZoomStartEvent {
    /**
     * The source DOM event instance
     */
    originalEvent: any;
    /**
     * @hidden
     */
    constructor(e: MapZoomStartEvent, sender: MapComponent);
}
