/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./map/bubble-layer.component";
import * as i2 from "./tooltip/bubble-tooltip.component";
import * as i3 from "./tooltip/bubble-tooltip-template.directive";
import * as i4 from "./map/layers.component";
import * as i5 from "./map.component";
import * as i6 from "./map/marker-layer.component";
import * as i7 from "./tooltip/marker-tooltip.component";
import * as i8 from "./tooltip/marker-tooltip-template.directive";
import * as i9 from "./map/shape-layer.component";
import * as i10 from "./tooltip/shape-tooltip.component";
import * as i11 from "./tooltip/shape-tooltip-template.directive";
import * as i12 from "./map/tile-layer.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
* definition for the Map component.
* @example
*
* ```ts
* import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
* import { BrowserModule } from '@angular/platform-browser';
* import { NgModule } from '@angular/core';
* import { MapModule } from '@progress/kendo-angular-map';
* import { AppComponent } from './app.component';
*
* @NgModule({
*     declarations: [AppComponent],
*     imports:      [BrowserModule, BrowserAnimationsModule, MapModule],
*     bootstrap:    [AppComponent]
* })
* export class AppModule {}
*```
*/
export declare class MapModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<MapModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MapModule, never, [typeof i1.BubbleLayerComponent, typeof i2.BubbleTooltipComponent, typeof i3.BubbleTooltipTemplateDirective, typeof i4.LayersComponent, typeof i5.MapComponent, typeof i6.MarkerLayerComponent, typeof i7.MarkerTooltipComponent, typeof i8.MarkerTooltipTemplateDirective, typeof i9.ShapeLayerComponent, typeof i10.ShapeTooltipComponent, typeof i11.ShapeTooltipTemplateDirective, typeof i12.TileLayerComponent], [typeof i1.BubbleLayerComponent, typeof i2.BubbleTooltipComponent, typeof i3.BubbleTooltipTemplateDirective, typeof i4.LayersComponent, typeof i5.MapComponent, typeof i6.MarkerLayerComponent, typeof i7.MarkerTooltipComponent, typeof i8.MarkerTooltipTemplateDirective, typeof i9.ShapeLayerComponent, typeof i10.ShapeTooltipComponent, typeof i11.ShapeTooltipTemplateDirective, typeof i12.TileLayerComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MapModule>;
}
