/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SimpleChange, TemplateRef } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { Extent, MapLayerType } from '@progress/kendo-charts';
import { CollectionItemComponent } from '../common/collection-item.component';
import { CollectionService } from '../common/collection.service';
import { ConfigurationService } from '../common/configuration.service';
import { LayerTooltipComponent } from './layer/tooltip.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class LayerComponent extends CollectionItemComponent {
    protected type: MapLayerType;
    protected configurationService: ConfigurationService;
    protected collectionService: CollectionService;
    protected sanitizer: DomSanitizer;
    /**
     * @hidden
     */
    attribution: string;
    /**
     * @hidden
     */
    extent?: Extent | [[number, number], [number, number]];
    /**
     * @hidden
     */
    maxZoom?: number;
    /**
     * @hidden
     */
    minZoom?: number;
    /**
     * @hidden
     */
    opacity?: number;
    /**
     * @hidden
     */
    zIndex: number;
    layerTooltip: LayerTooltipComponent;
    constructor(type: MapLayerType, configurationService: ConfigurationService, collectionService: CollectionService, sanitizer: DomSanitizer);
    ngOnChanges(changes: {
        [propertyName: string]: SimpleChange;
    }): void;
    get layerTooltipTemplateRef(): TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayerComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LayerComponent, never, never, { "attribution": { "alias": "attribution"; "required": false; }; "extent": { "alias": "extent"; "required": false; }; "maxZoom": { "alias": "maxZoom"; "required": false; }; "minZoom": { "alias": "minZoom"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "zIndex": { "alias": "zIndex"; "required": false; }; }, {}, ["layerTooltip"], never, false, never>;
}
