/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DomSanitizer } from '@angular/platform-browser';
import { ShapeLayerOptions } from '@progress/kendo-charts';
import { ShapeOptions } from '@progress/kendo-drawing';
import { CollectionService } from '../common/collection.service';
import { ConfigurationService } from '../common/configuration.service';
import { LayerComponent } from './layer.component';
import * as i0 from "@angular/core";
/**
 * Defines a vector shape layer bound to GeoJSON data. [See example](slug:shape_layers_map).
 */
export declare class ShapeLayerComponent extends LayerComponent implements ShapeLayerOptions {
    protected configurationService: ConfigurationService;
    protected collectionService: CollectionService;
    protected sanitizer: DomSanitizer;
    /**
     * The array of data items for this layer.
     */
    data?: any;
    /**
     * The default style for shapes.
     */
    style?: ShapeOptions;
    constructor(configurationService: ConfigurationService, collectionService: CollectionService, sanitizer: DomSanitizer);
    static ɵfac: i0.ɵɵFactoryDeclaration<ShapeLayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ShapeLayerComponent, "kendo-map-shape-layer", never, { "data": { "alias": "data"; "required": false; }; "style": { "alias": "style"; "required": false; }; }, {}, never, never, true, never>;
}
