/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * A directive that sets a [template](link:site.data.urls.angular['templatesyntax'])
 * within the `<kendo-map-tooltip>` component for the Map
 * [Bubble layer tooltip](slug:bubble_layers_map#toc-tooltips).
 *
 * The available inputs for the bubble tooltip template are:
 *    * `dataItem: any`&mdash;The original data item used to create the bubble.
 *    * `layerIndex: number`&mdash;The index of the layer for the tooltip.
 *    * `location: Location`&mdash;The location of the bubble.
 *    * `value: number`&mdash;The value of the bubble.
 */
export declare class BubbleTooltipTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<BubbleTooltipTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BubbleTooltipTemplateDirective, "[kendoMapBubbleTooltipTemplate]", never, {}, {}, never, never, true, never>;
}
