/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentChecked } from '@angular/core';
import { ConfigurationService } from '../common/configuration.service';
import { SettingsComponent } from '../common/settings.component';
import { LayerComponent } from '../map/layer.component';
import { BubbleTooltipTemplateDirective } from './bubble-tooltip-template.directive';
import { TooltipTemplateService } from './tooltip-template.service';
import * as i0 from "@angular/core";
/**
 * The configuration options of the [Bubble Layer Tooltip](slug:bubble_layers_map#toc-tooltips).
 */
export declare class BubbleTooltipComponent extends SettingsComponent implements AfterContentChecked {
    configurationService: ConfigurationService;
    private templateService;
    private layer;
    bubbleTooltipTemplate: BubbleTooltipTemplateDirective;
    constructor(configurationService: ConfigurationService, templateService: TooltipTemplateService, layer: LayerComponent);
    ngAfterContentChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BubbleTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BubbleTooltipComponent, "kendo-map-bubble-layer-tooltip", never, {}, {}, ["bubbleTooltipTemplate"], never, true, never>;
}
