/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * A directive that sets a [template](link:site.data.urls.angular['templatesyntax'])
 * within the `<kendo-map-tooltip>` component for the Map
 * [Marker layer tooltip](slug:marker_layers_map#toc-tooltips).
 *
 * The available inputs for the marker tooltip template are:
 *    * `title: string`&mdash;The marker title.
 *    * `layerIndex: number`&mdash;The index of the layer for the tooltip.
 *    * `location: Location`&mdash;The marker location.
 */
export declare class MarkerTooltipTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkerTooltipTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MarkerTooltipTemplateDirective, "[kendoMapMarkerTooltipTemplate]", never, {}, {}, never, never, true, never>;
}
