/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentChecked } from '@angular/core';
import { ConfigurationService } from '../common/configuration.service';
import { SettingsComponent } from '../common/settings.component';
import { LayerComponent } from '../map/layer.component';
import { MarkerTooltipTemplateDirective } from './marker-tooltip-template.directive';
import { TooltipTemplateService } from './tooltip-template.service';
import * as i0 from "@angular/core";
/**
 * The configuration options of the [Marker Layer Tooltip](slug:marker_layers_map#toc-tooltips).
 */
export declare class MarkerTooltipComponent extends SettingsComponent implements AfterContentChecked {
    configurationService: ConfigurationService;
    private templateService;
    private layer;
    markerTooltipTemplate: MarkerTooltipTemplateDirective;
    constructor(configurationService: ConfigurationService, templateService: TooltipTemplateService, layer: LayerComponent);
    ngAfterContentChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkerTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarkerTooltipComponent, "kendo-map-marker-layer-tooltip", never, {}, {}, ["markerTooltipTemplate"], never, true, never>;
}
