/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * A directive that sets a [template](link:site.data.urls.angular['templatesyntax'])
 * within the `<kendo-map-tooltip>` component for the Map
 * [Shape layer tooltip](slug:shape_layers_map#toc-tooltips).
 *
 * The available inputs for the shape tooltip template are:
 *    * `dataItem: any`&mdash;The original data item used to create the shape.
 *    * `layerIndex: number`&mdash;The index of the layer for the tooltip.
 *    * `location: Location`&mdash;The location of the center of the shape.
 */
export declare class ShapeTooltipTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<ShapeTooltipTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ShapeTooltipTemplateDirective, "[kendoMapShapeTooltipTemplate]", never, {}, {}, never, never, true, never>;
}
