/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentChecked } from '@angular/core';
import { ConfigurationService } from '../common/configuration.service';
import { SettingsComponent } from '../common/settings.component';
import { LayerComponent } from '../map/layer.component';
import { ShapeTooltipTemplateDirective } from './shape-tooltip-template.directive';
import { TooltipTemplateService } from './tooltip-template.service';
import * as i0 from "@angular/core";
/**
 * The configuration options of the [Shape Layer Tooltip](slug:shape_layers_map#toc-tooltips).
 */
export declare class ShapeTooltipComponent extends SettingsComponent implements AfterContentChecked {
    configurationService: ConfigurationService;
    private templateService;
    private layer;
    shapeTooltipTemplate: ShapeTooltipTemplateDirective;
    constructor(configurationService: ConfigurationService, templateService: TooltipTemplateService, layer: LayerComponent);
    ngAfterContentChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShapeTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ShapeTooltipComponent, "kendo-map-shape-layer-tooltip", never, {}, {}, ["shapeTooltipTemplate"], never, true, never>;
}
